<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (13) on Tue May 19 01:49:06 EEST 2020 -->
<title>V-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="index: V">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:V">
<!--   -->
</a>
<h2 class="title">V</h2>
<dl>
<dt><a href="../presentation_layer/ViewAdministratorGUI.html" title="class in presentation_layer"><span class="typeNameLink">ViewAdministratorGUI</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>
<div class="block">- extinde clasa JFrame; contine ca variabile instanta obiecte de tipul JTextField pentru id-ul, numele si pretul produsului, dar si pentru produsele din care este alcatuit produsul compus (pentru adaugarea unui produs de baza sau produs compus), mai contine, de asemenea, variabile instanta pentru noul nume si pentru noul pret (pentru editarea produsului), obiecte de tipul JButton pentru butoanele corespunzatoare operatiilor de adaugare, editare, stergere a unui produs, afisarea tabelului, butonul back, pentru revenirea la fereastra principala a aplicatiei, si patru obiecte de tipul JTable, DefaultTableModel, JScrollPane si respectiv ListSelectionModel, pentru afisarea tabelului in interfata grafica, plus o variabila de tipul int in care este stocat id-ul selectat din tabel; clasa contine un constructor in care este creata fereastra, metode de get pentru variabilele instanta si metode utilizate pentru a adauga cate un ActionListener fiecarui buton; in cazul operatiilor de editare sau stergere a unui produs, este necesara selectarea id-ului corespunzator produsului existent in meniu;</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewAdministratorGUI.html#%3Cinit%3E()">ViewAdministratorGUI()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ViewAdministratorGUI.html" title="class in presentation_layer">ViewAdministratorGUI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ViewChefGUI.html" title="class in presentation_layer"><span class="typeNameLink">ViewChefGUI</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>
<div class="block">- extinde clasa JFrame; contine ca variabile instanta trei obiecte de tipul JTable, DefaultTableModel si JScrollPane pentru afisarea tabelului in interfata grafica; clasa contine un constructor in care este creata fereastra si metode de get pentru variabilele instanta;</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewChefGUI.html#%3Cinit%3E()">ViewChefGUI()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ViewChefGUI.html" title="class in presentation_layer">ViewChefGUI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../business_layer/Restaurant.html#viewMenu()">viewMenu()</a></span> - Method in class business_layer.<a href="../business_layer/Restaurant.html" title="class in business_layer">Restaurant</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../business_layer/Restaurant.html#viewOrders()">viewOrders()</a></span> - Method in class business_layer.<a href="../business_layer/Restaurant.html" title="class in business_layer">Restaurant</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ViewStart.html" title="class in presentation_layer"><span class="typeNameLink">ViewStart</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>
<div class="block">- extinde clasa JFrame; contine ca variabila instanta un obiect de tipul JComboBox<String>, ce permite selectarea urmatoarei ferestre ce se doreste a fi vizualizata; clasa contine un constructor in care este creata fereastra, o metoda de get pentru variabila instanta si o metoda utilizata pentru a adauga un ActionListener combo box-ului;</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewStart.html#%3Cinit%3E()">ViewStart()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ViewStart.html" title="class in presentation_layer">ViewStart</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation_layer/ViewWaiterGUI.html" title="class in presentation_layer"><span class="typeNameLink">ViewWaiterGUI</span></a> - Class in <a href="../presentation_layer/package-summary.html">presentation_layer</a></dt>
<dd>
<div class="block">- extinde clasa JFrame; contine ca variabile instanta obiecte de tipul JTextField pentru id-ul comenzii, numarul mesei, produsele ce compun comanda (pentru adaugarea unei comenzi), valoarea totala a comenzii (se afiseaza cand se apasa butonul pentru generarea facturii), mai contine si obiecte de tipul JButton pentru butoanele corespunzatoare operatiilor de adaugare, stergere a unei comenzi, afisarea tabelului, generarea facturii si butonul back, pentru revenirea in fereastra principala, patru obiecte de tipul JTable, DefaultTableModel, JScrollPane si ListSelectionModel pentru afisarea tabelului in interfata grafica, plus o variabila de tipul int in care este stocat id-ul selectat din tabel; clasa contine un constructor in care este creata fereastra, metode de get pentru variabilele instanta si metode utilizate pentru a adauga cate un ActionListener fiecarui buton; in situatia in care se doreste generarea facturii sau stergerea unei comenzi, este necesara selectarea id-ului corespunzator comenzii respective;</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation_layer/ViewWaiterGUI.html#%3Cinit%3E()">ViewWaiterGUI()</a></span> - Constructor for class presentation_layer.<a href="../presentation_layer/ViewWaiterGUI.html" title="class in presentation_layer">ViewWaiterGUI</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
